
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

- Add saa713x card #65 Kworld V-Stream Studio TV Terminator

Signed-off-by: James R Webb <jrwebb@qwest.net>
Signed-off-by: Peter Missel <peter.missel@onlinehome.de>
Signed-off-by: Nickolay V. Shmyrev <nshmyrev@yandex.ru>
Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/video4linux/CARDLIST.saa7134  |    1 
 drivers/media/video/saa7134/saa7134-cards.c |   33 ++++++++++++++++++++++++++++
 drivers/media/video/saa7134/saa7134.h       |    1 
 3 files changed, 35 insertions(+)

diff -puN Documentation/video4linux/CARDLIST.saa7134~v4l-add-saa713x-card-65-kworld-v-stream-studio-tv-terminator Documentation/video4linux/CARDLIST.saa7134
--- devel/Documentation/video4linux/CARDLIST.saa7134~v4l-add-saa713x-card-65-kworld-v-stream-studio-tv-terminator	2005-09-06 21:14:18.000000000 -0700
+++ devel-akpm/Documentation/video4linux/CARDLIST.saa7134	2005-09-06 21:14:18.000000000 -0700
@@ -63,3 +63,4 @@
  62 -> Compro VideoMate TV Gold+II
  63 -> Kworld Xpert TV PVR7134
  64 -> FlyTV mini Asus Digimatrix               [1043:0210,1043:0210]
+ 65 -> V-Stream Studio TV Terminator
diff -puN drivers/media/video/saa7134/saa7134-cards.c~v4l-add-saa713x-card-65-kworld-v-stream-studio-tv-terminator drivers/media/video/saa7134/saa7134-cards.c
--- devel/drivers/media/video/saa7134/saa7134-cards.c~v4l-add-saa713x-card-65-kworld-v-stream-studio-tv-terminator	2005-09-06 21:14:18.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134-cards.c	2005-09-06 21:14:18.000000000 -0700
@@ -2035,6 +2035,39 @@ struct saa7134_board saa7134_boards[] = 
 			.amux = LINE2,
 		},
 	},
+	[SAA7134_BOARD_KWORLD_TERMINATOR] = {
+		/* Kworld V-Stream Studio TV Terminator */
+		/* "James Webb <jrwebb@qwest.net> */
+		.name           = "V-Stream Studio TV Terminator",
+		.audio_clock    = 0x00187de7,
+		.tuner_type     = TUNER_PHILIPS_TDA8290,
+		.radio_type     = UNSET,
+		.tuner_addr     = ADDR_UNSET,
+		.radio_addr     = ADDR_UNSET,
+		.gpiomask       = 1 << 21,
+		.inputs         = {{
+			.name = name_tv,
+			.vmux = 1,
+			.amux = TV,
+			.gpio = 0x0000000,
+			.tv   = 1,
+		},{
+			.name = name_comp1,     /* Composite input */
+			.vmux = 3,
+			.amux = LINE2,
+			.gpio = 0x0000000,
+		},{
+			.name = name_svideo,    /* S-Video input */
+			.vmux = 8,
+			.amux = LINE2,
+			.gpio = 0x0000000,
+		}},
+		.radio = {
+			.name = name_radio,
+			.amux = TV,
+			.gpio = 0x0200000,
+		},
+	},
 };
 
 
diff -puN drivers/media/video/saa7134/saa7134.h~v4l-add-saa713x-card-65-kworld-v-stream-studio-tv-terminator drivers/media/video/saa7134/saa7134.h
--- devel/drivers/media/video/saa7134/saa7134.h~v4l-add-saa713x-card-65-kworld-v-stream-studio-tv-terminator	2005-09-06 21:14:18.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134.h	2005-09-06 21:14:18.000000000 -0700
@@ -185,6 +185,7 @@ struct saa7134_format {
 #define SAA7134_BOARD_VIDEOMATE_TV_GOLD_PLUSII 62
 #define SAA7134_BOARD_KWORLD_XPERT 63
 #define SAA7134_BOARD_FLYTV_DIGIMATRIX 64
+#define SAA7134_BOARD_KWORLD_TERMINATOR 65
 
 #define SAA7134_MAXBOARDS 8
 #define SAA7134_INPUT_MAX 8
_
